package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrfileinfotest.AddOcrFileInfoTestDTO;
import com.docus.server.dto.segmentation.ocrfileinfotest.EditOcrFileInfoTestDTO;
import com.docus.server.entity.segmentation.OcrFileInfoTest;
import com.docus.server.vo.segmentation.ocrfileinfotest.OcrFileInfoTestVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * ocr文件信息-调试 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Mapper
public interface OcrFileInfoTestConvert {

    OcrFileInfoTestConvert INSTANCE = Mappers.getMapper(OcrFileInfoTestConvert.class);

    @Mappings({})
    OcrFileInfoTest convertDO(AddOcrFileInfoTestDTO addOcrFileInfoTestDTO);

    @Mappings({})
    OcrFileInfoTest convertDO(EditOcrFileInfoTestDTO editOcrFileInfoTestDTO);

    @Mappings({})
    List<OcrFileInfoTest> convertAddDOList(List<AddOcrFileInfoTestDTO> addOcrFileInfoTestDTO);

    @Mappings({})
    List<OcrFileInfoTest> convertEditDOList(List<EditOcrFileInfoTestDTO> editOcrFileInfoTestDTO);

    @Mappings({})
    OcrFileInfoTestVO convertVO(OcrFileInfoTest ocrFileInfoTest);

    @Mappings({})
    List<OcrFileInfoTestVO> convertVO(List<OcrFileInfoTest> ocrFileInfoTestList);

    @Mappings({})
    PageResult<OcrFileInfoTestVO> convertVO(PageResult<OcrFileInfoTest> pageResult);

    @Mappings({})
    List<OcrFileInfoTest> convertDO(List<AddOcrFileInfoTestDTO> files);

}

